/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.autosavechildobjectsjpa;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 *
 * @author omozegieaziegbe
 */
@Component
public class TestDataLoader implements CommandLineRunner {

    @Autowired
    private OrderService orderService;

    @Autowired
    private DepartmentService departmentService;

    @Override
    public void run(String... args) throws Exception {
        Orders order = new Orders();

        order.setStatus("New Status");
        order.setCustomername("John Doe");

        // Create OrderItem objects
        OrderItem item1 = new OrderItem();
        item1.setProductname("Product A");
        item1.setQuantity(2);

        OrderItem item2 = new OrderItem();
        item2.setProductname("Product B");
        item2.setQuantity(1);

        order.getItems().add(item1);
        order.getItems().add(item2);

        orderService.saveParentWithChildren(order);

        // Verify that the parent and children are saved correctly
        System.out.println("Parent and children saved successfully");

        Department department = new Department();
        department.setName("Engineering");

        Employee emp1 = new Employee();
        emp1.setName("John Doe");
        emp1.setDepartment(department);

        Employee emp2 = new Employee();
        emp2.setName("Jane Doe");
        emp2.setDepartment(department);

        department.getEmployees().add(emp1);
        department.getEmployees().add(emp2);
        
        departmentService.saveParentWithChildren(department);

    }

}
