CREATE TABLE Orders (
    id BIGINT NOT NULL AUTO_INCREMENT,
    customername VARCHAR(255),
    status VARCHAR(255),
    PRIMARY KEY (id)
);

CREATE TABLE OrderItem (
    id BIGINT NOT NULL AUTO_INCREMENT,
    productname VARCHAR(255),
    quantity INT,
    orderid BIGINT NOT NULL,
    FOREIGN KEY (orderid) REFERENCES Orders(id),
    PRIMARY KEY (id)
);

-- Create the Department table
CREATE TABLE Department (
  id BIGINT NOT NULL AUTO_INCREMENT,
  name VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
);

-- Create the Employee table
CREATE TABLE Employee (
  id BIGINT NOT NULL AUTO_INCREMENT,
  name VARCHAR(255) NOT NULL,
  departmentid BIGINT,  -- Foreign key to Department table
  FOREIGN KEY (departmentid) REFERENCES Department(id),
  PRIMARY KEY (id)
);
